Subject: bug#59137: [PATCH] To minor changes related to overlays

From: Stefan Kangas <[email-masked]>
Date: Wed, 30 Nov 2022 02:28:09 +0100

Matt Armstrong <[email-masked]> writes:

> The admittedly redundant NULL check done by itree_empty_p does not
> change semantics or cause harm.  mark_overlays in alloc.c is a recursive
> function so it handles NULL itself, hence the NULL check was omitted in
> the original code.

Thanks.

I guess as this is a minor cleanup this should go to master at this point.